<?xml version="1.0"?>
<doc>
    <assembly>
        <name>RIgn.Wpf</name>
    </assembly>
    <members>
        <member name="T:RIgn.Wpf.AuthWindow">
            <summary>
            Interaction logic for AuthWindow.xaml
            </summary>
            <summary>
            AuthWindow
            </summary>
        </member>
        <member name="M:RIgn.Wpf.AuthWindow.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:RIgn.Wpf.AuthWindow"/> class.
            </summary>
        </member>
        <member name="M:RIgn.Wpf.AuthWindow.InitializeComponent">
            <summary>
            InitializeComponent
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.HeaderText">
            <summary>
            Gets or sets a Header text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.InfoText">
            <summary>
            Gets or sets an Info text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.FooterText">
            <summary>
            Gets or sets a Footer text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.UserFullName">
            <summary>
            Gets or sets a Username with or without domain.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.UserFullNameIsEnabled">
            <summary>
            Gets or sets whether a Username is enabled or not.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.UserNameFullIsReadOnly">
            <summary>
            Gets or sets whether a Username is readonly or not.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.UserName">
            <summary>
            Gets a Username without domain.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.Password">
            <summary>
            Gets or sets a Password.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.Domain">
            <summary>
            Gets a Domain.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.EmptyDomainIsLocalMachine">
            <summary>
            Gets or sets whether Domain will be a local machine name when it is empty or not. 
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.RememberCredentialsIsEnabled">
            <summary>
            Gets or sets whether a RememberCredential check box is enabled or not.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.RememberCredentialsIsChecked">
            <summary>
            Gets or sets whether a RememberCredential check box is checked or not.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.ForegroundColor">
            <summary>
            Foreground Color (main window text, buttons text, title bar background).
            </summary>
        </member>
        <member name="P:RIgn.Wpf.AuthWindow.BackgroundColor">
            <summary>
            Background Color (main window background, title bar text).
            </summary>
        </member>
        <member name="T:RIgn.Wpf.SetPasswordWindow">
            <summary>
            Interaction logic for SetPasswordWindow.xaml
            </summary>
            <summary>
            SetPasswordWindow
            </summary>
        </member>
        <member name="M:RIgn.Wpf.SetPasswordWindow.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:RIgn.Wpf.SetPasswordWindow"/> class.
            </summary>
        </member>
        <member name="M:RIgn.Wpf.SetPasswordWindow.InitializeComponent">
            <summary>
            InitializeComponent
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SetPasswordWindow.HeaderText">
            <summary>
            Gets or sets a Header text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SetPasswordWindow.Password">
            <summary>
            Gets a Password.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SetPasswordWindow.FooterText">
            <summary>
            Gets or sets a Footer text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SetPasswordWindow.ForegroundColor">
            <summary>
            Foreground Color (main window text, buttons text, title bar background).
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SetPasswordWindow.BackgroundColor">
            <summary>
            Background Color (main window background, title bar text).
            </summary>
        </member>
        <member name="T:RIgn.Wpf.SimpleAuthWindow">
            <summary>
            Interaction logic for SimpleAuthWindow.xaml
            </summary>
            <summary>
            SimpleAuthWindow
            </summary>
        </member>
        <member name="M:RIgn.Wpf.SimpleAuthWindow.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:RIgn.Wpf.SimpleAuthWindow"/> class.
            </summary>
        </member>
        <member name="M:RIgn.Wpf.SimpleAuthWindow.InitializeComponent">
            <summary>
            InitializeComponent
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SimpleAuthWindow.HeaderText">
            <summary>
            Gets or sets a Header text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SimpleAuthWindow.Password">
            <summary>
            Gets or sets a Password.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SimpleAuthWindow.FooterText">
            <summary>
            Gets or sets an Info text.
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SimpleAuthWindow.ForegroundColor">
            <summary>
            Foreground Color (main window text, buttons text, title bar background).
            </summary>
        </member>
        <member name="P:RIgn.Wpf.SimpleAuthWindow.BackgroundColor">
            <summary>
            Background Color (main window background, title bar text).
            </summary>
        </member>
        <member name="T:RIgn.Wpf.WPFMessageBox">
            <summary>
            Displays a message box in WPF style.
            </summary>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String)">
            <summary>
            Displays a message box that has a message and returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message and returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String)">
            <summary>
            Displays a message box that has a message and a title bar caption; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String)">
            <summary>
            Displays a message box that has a message, detailed text and a title bar caption; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message and a title bar caption; and it returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text and a title bar caption; and it returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.MessageBoxButton)">
            <summary>
            Displays a message box that has a message, title bar caption and a button; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.MessageBoxButton)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption and a button; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.MessageBoxButton)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption and a button; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.MessageBoxButton)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption and a button; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.MessageBoxButton,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box that has a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box that has a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.MessageBoxImage)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Windows.MessageBoxImage value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.MessageBoxButton,System.Drawing.Icon)">
            <summary>
            Displays a message box that has a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Drawing.Icon)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.MessageBoxButton,System.Drawing.Icon)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Drawing.Icon)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Drawing.Icon)">
            <summary>
            Displays a message box that has a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Drawing.Icon)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Drawing.Icon)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Drawing.Icon)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Drawing.Icon value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.MessageBoxButton,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box that has a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.MessageBoxButton,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption, button and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="button">A System.Windows.MessageBoxButton value that specifies which button or buttons to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box that has a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.String,System.String,System.String,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box that has a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBox.Show(System.Windows.Window,System.String,System.String,System.String,System.Windows.Media.ImageSource)">
            <summary>
            Displays a message box in front of the specified window. The message box displays a message, detailed text, title bar caption and an icon; and that returns a result.
            </summary>
            <param name="owner">A System.Windows.Window that represents the owner window of the message box.</param>
            <param name="messageBoxText">A System.String that specifies the text to display.</param>
            <param name="caption">A System.String that specifies the title bar caption to display.</param>
            <param name="details">A System.String that specifies the detailed text to display.</param>
            <param name="icon">A System.Windows.Media.ImageSource value that specifies the icon to display.</param>
            <returns>A System.Windows.MessageBoxResult value that specifies which message box button is clicked by the user.</returns>
        </member>
        <member name="P:RIgn.Wpf.WPFMessageBox.ForegroundColor">
            <summary>
            Foreground Color (main window text, buttons text, title bar background).
            </summary>
        </member>
        <member name="P:RIgn.Wpf.WPFMessageBox.BackgroundColor">
            <summary>
            Background Color (main window background, title bar text).
            </summary>
        </member>
        <member name="T:RIgn.Wpf.WPFMessageBoxWindow">
            <summary>
            Interaction logic for WPFMessageBoxWindow.xaml
            </summary>
        </member>
        <member name="M:RIgn.Wpf.WPFMessageBoxWindow.InitializeComponent">
            <summary>
            InitializeComponent
            </summary>
        </member>
    </members>
</doc>
